/* Copyright (C) Bill Buckels 2008 */

#include <poke.h>

/* ascii to petscii screencode table */
char _a2p[256] = {
' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
 30, ' ',  31, ' ', ' ', ' ', ' ', ' ',
' ', '!',  34, '#', '$',  37, '&',  39,
'(', ')', '*', '+', ',', '-', '.',  47,
'0', '1', '2', '3', '4', '5', '6', '7',
'8', '9', ':', ';', '<', '=', '>', '?',
  0, 'A', 'B', 'C', 'D', 'E', 'F', 'G',
'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O',
'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W',
'X', 'Y', 'Z',  27, ' ',  29, ' ', 111,
 39,   1,   2,   3,   4,   5,   6,   7,
  8,   9,  10,  11,  12,  13,  14,  15,
 16,  17,  18,  19,  20,  21,  22,  23,
 24,  25,  26, '(',   93, ')', ' ', ' ',
' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
' ', ' ', ' ', ' ',  28, ' ', ' ', ' ',
' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
102, 102, 102,  93, 115, 115, 115, 110,
110, 115,  93, 110, 125, 125, 125, 110,
109, 113, 114, 235,  64,  91, 235, 235,
109, 112, 113, 114, 235,  64,  91, 113,
113, 114, 114, 109, 109, 112, 112,  91,
 91, 125, 112, 102,  98,  97, 118, 120,
' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
' ', ' ', ' ', ' ', ' ', ' ', ' ', ' '};

a2p(idx)
int idx;
{
	if (idx < 0 || idx > 255)return 0;
	return _a2p[idx];
}


/* output text direct to screen memory */
/* options are normal or reverse video,
   use current color or set new color */
outtext(str,row,col,attr,rev)
char *str;
int row, col,attr,rev;
{
	int idx, ch, b;

	row = (row * 40) + col;

	for (idx = 0; str[idx] != 0; idx++) {

	   ch = str[idx];
	   b = _a2p[ch];

	   if (rev!=0)b=b+128;
	   txtaddr[row] = b;

	   if (attr!=-1) {
		   coladdr[row] = attr;
	   }
	   row++;
	}
}
