/* Copyright (C) Bill Buckels 2008 */

/* the following function plots the 8x8 font */
#include <poke.h>

xchar(c,row,column,color1,color2,color3)
int c, row, column,color1,color2,color3;
{
	int offset, idx, fdx;
	int voff;

    /* screen is a matrix of 25 x 40 columns */
	if (row < 0 || row > 25) row = 0;
	if (column < 0 || column > 40)column = 0;
    if (color1 < 0 || color1 > 15 || color2 < 0 || color2 > 15) {
	  color1 = -1;
	  color2 = -1;
	  color3 = -1;
	}
	else {
	   color1 = (color1 | (color2 << 4));

	}
	if (color3 < 0 || color3 > 15)color3 = -1;

	offset = (row * 320) + (column * 8);
    voff = (row * 40) + column;

    fdx = c * 8;  /* calculate offset into font */
    /* put font on screen and increment both offsets */
	for (idx = 0; idx < 8; idx++) {
	  bmp[offset] = xfont[fdx];
	  offset++;
	  fdx++;
    }
	  if (color1 != -1)vram[voff] = color1;
	  if (color3 != -1)cram[voff] = color3;


}