/* (C) Copyright Bill Buckels 2007 */

/* indices for instrument selection in B64NAT.LIB sid.c
   instruments are in the _inset[19][5] chracter array.
   each voice is set with an instrument or -1 for off
   review sid.c for details */

/* the following instruments are available: (in order) */
/* Piano       */
/* Piano2      */
/* Violin      */
/* Guitar      */
/* Flute       */
/* Flute2      */
/* Harpsichord */
/* Harpsichord2*/
/* Xylophone   */
/* Xylophone2  */
/* Organ       */
/* Organ2      */
/* Colliape    */
/* Accordian   */
/* Accordian2  */
/* Trumpet     */
/* Trumpet2    */
/* Drum        */
/* custom - user specified values */

#define V_PIA 0
#define V_PI2 1
#define V_VIO 2
#define V_GUI 3
#define V_FLU 4
#define V_FL2 5
#define V_HAR 6
#define V_HA2 7
#define V_XYL 8
#define V_XY2 9
#define V_ORG 10
#define V_OR2 11
#define V_COL 12
#define V_ACC 13
#define V_AC2 14
#define V_TRU 15
#define V_TR2 16
#define V_DRU 17
#define V_CUS 18
#define V_OFF -1

