/* Welcome Program for the Commodore 64 */
/* Written in Aztec C */
/* by Bill Buckels 2007 */

#include <c64poke.h>
#include <c64chr.h>


char *welcome1="wELCOME TO THE wONDERFULLY";
char *welcome2="aNCIENT wORLD OF aZTEC c!";
char *welcome3="--------------------------";
char *welcome4="pRESS aNY kEY TO eND...";
char buffer[64];

char pokev[2];  /* poke value */
char *bordercolor = (char *)POKE_BORDER;
char *charset = (char *)POKE_CHARSET;

#define scr_clear() putchar(147)

main()
{
	int c;

    scr_clear();

    pokev[0] = MIXED_CASE;
    blockmv(charset,pokev,1);

    pokev[0] = C64_BLUE;
    pokev[1] = C64_LBLUE;
    blockmv(bordercolor,pokev,2);

	printf("%c%s\n",BWHITE_TEXT,welcome3);
	printf("eNTER YOUR nAME:");
	gets(buffer);

	buffer[0] =  tolower(buffer[0]);

	printf("hELLO %s\n",buffer);

	puts(welcome1);
	puts(welcome2);
	puts(welcome3);
    printf(welcome4);

    c=getchar();

	pokev[0] = UPPER_CASE;
	blockmv(charset,pokev,1);

	pokev[0] = C64_LBLUE;
	pokev[1] = C64_BLUE;
    blockmv(bordercolor,pokev,2);

	scr_clear();
    putchar(LBLUE_TEXT);

	exit(0);
}
