/* (C) Copyright Bill Buckels 2007 */

box(x1, y1, x2, y2, color, mode)
int x1,y1,x2,y2,color,mode;
{

   /* fundamental graphics primitive aggragate */
   /* box entity > line element > point vector */
   /* each level represents a push of the stack */
   /* watch-out for stack overflows when writing these */

   int temp;

   /* swap if reversed */
   if (x2 < x1) {
      temp = x2;
      x2 = x1;
      x1 = temp;
   }
   if (y2 < y1) {
      temp = y2;
      y2 = y1;
      y1 = temp;
   }


   drawline(x1,y1,x2,y1,color,mode); /* top */
   y1++;
   y2--;
   drawline(x1,y1,x1,y2,color,mode); /* middle */
   drawline(x2,y1,x2,y2,color,mode);
   y2++;
   drawline(x1,y2,x2,y2,color,mode); /* bottom */

}
