/* (C) Copyright Bill Buckels 2008 */

/* sets a 1000 byte palette to a value from row, col */
/* of a specified width and height */
palset(pal,rorg,corg,rows,cols,val,up)
char *pal;
int rorg,corg,rows,cols,val,up;
{
    int offset, inset, row, col;

    offset = (rorg * 40) + corg;
    if (up != 0) {
	      /* start at the bottom */
	      offset = offset + (rows * 40) - 40; /* set to start of last line */

	}

    for (row = 0; row < rows; row++) {

      inset = offset;
      for (col = 0; col < cols; col++) {
	     pal[inset] = val; /* set color registers */
	     inset = (inset + 1);

      }
      if (up==0)
		  offset = (offset + 40); /* next row */
      else
		  offset = (offset - 40);

    }
}
