/*	Copyright (C) 1983 by Manx Software Systems, Inc.	*/

#include	"io.h"
#include	"errno.h"

long
lseek(fd, pos, mode)
int fd, mode;
long pos;
{
	register struct fil_tab *fp;
	long curpos;

	errno = 0;
	fp = _fil_tab + fd;
	if (fd < 0 || fd > MAXFILES || fp->mode == 0xff) {
		errno = E_BADFD;
		return(-1);
	}
	if (fp->type != 'L') {
		errno = E_BADTYPE;
		return(-1);
	}
	if (mode == 2) {
		errno = E_BADMODE;
		return(-1);
	}
	if (mode == 1) {
		curpos = ((fp->rechi<<8) | fp->reclo) - 1;
		curpos *= RECSIZE;
		curpos += fp->byte - 2;
		pos += curpos;
	}
	curpos = pos;
	fp->byte = pos % RECSIZE + 2;
	pos /= RECSIZE;
	fp->reclo = ++pos;
	fp->rechi = pos >> 8;
	return(curpos);
}

