/*	Copyright (C) 1983 by Manx Software Systems, Inc.	*/

#include	"io.h"
#include	"errno.h"

read(fd, buf, cnt)
int fd, cnt;
char *buf;
{
	register int i;
	register struct fil_tab *fp;
	char first = 0;

	errno = 0;
	fp = _fil_tab + fd;
	if (fd < 0 || fd > MAXFILES || fp->mode == 0xff) {
		errno = E_BADFD;
		return(-1);
	}
	if (fp->mode == 1) {
		errno = E_BADMODE;
		return(-1);
	}
	if (fp->type == 0)
		return(_call_dev(fp->dev, DEV_GET, buf, cnt));
	_clrchn();
	if (errno = _chkin(fd+1)) {
		errno |= 0x100;
		return(-1);
	}
	if (errno = _status) {
		errno |= 0x200;
		return(-1);
	}
	if (fp->type == 'L')
		first = 1;
	i = cnt;
	while (i--) {
		if (first) {
			if (_posit(fp) < 0) {
				if (fp->byte == 2 && errno == 0x332)
					return(cnt - i - 1);
				return(-1);
			}
			_clrchn();
			if (errno = _chkin(fd+1)) {
				errno |= 0x100;
				return(-1);
			}
			first = 0;
		}
		*buf++ = _getin();
		if (fp->type == 'L' && ++fp->byte > RECSIZE+1) {
			fp->byte = 2;
			if (++fp->reclo == 0)
				++fp->rechi;
			if (_status & 0x40)
				_status = 0;
			first++;
		}
		if (_status == 0x40)
			return(cnt - i);
		if (_status&0x40)
			return(0);
		if (errno = _status) {
			errno |= 0x200;
			return(-1);
		}
	}
	if (errno = _error(fp->dev)) {
		errno |= 0x300;
		return(-1);
	}
	return(cnt);
}

