/*	Copyright (C) 1983 by Manx Software Systems, Inc.	*/

#include	"io.h"
#include	"errno.h"

write(fd, buf, cnt)
int fd, cnt;
char *buf;
{
	int i, c, sav = 0;
	char first = 0, *cp;
	register struct fil_tab *fp;
	char tbuf[REALREC];

	fp = _fil_tab + fd;
	if (fd < 0 || fd >= MAXFILES || fp->mode == 0xff) {
		errno = E_BADFD;
		return(-1);
	}
	if (fp->mode == READ) {
		errno = E_BADMODE;
		return(-1);
	}
	if (cnt == 0)
		return(0);
	if (fp->type == 0)
		return(_call_dev(fp->dev, DEV_PUT, buf, cnt));
	_clrchn();
	if (errno = _chkout(fd+1))
		goto err1;
	if (errno = _status)
		goto err2;
	i=cnt;
	if (fp->type == 'L'){
		while (i) {
			if(fp->byte == 2 && i >= RECSIZE){
				fp->byte=1;
				_posit(fp);
				_clrchn();
				if(errno = _chkout(fd+1))
					goto err1;
				if(errno = _chrout(BOOKEND))
					goto err1;
				while(++fp->byte <= RECSIZE + 1){
					if(errno = _chrout(*buf++))
						goto err1;
					i--;
				}
				if(errno = _chrout(BOOKEND))
					goto err1;
				if(++fp->reclo == 0)
					++fp->rechi;
				fp->byte=2;
			}
			else{
				c = fp->byte;
				fp->byte=2;
				_posit(fp);
				_clrchn();
				_chkin(fd+1);
				cp = tbuf;
				*cp++ = BOOKEND;
				while(cp < tbuf + RECSIZE + 1)
					*cp++ = _getin();
				*cp = BOOKEND;
				fp->byte = c;
				cp = tbuf + fp->byte - 1;
				while(cp < tbuf + RECSIZE + 1 && i--){
					*cp++ = *buf++;
					++fp->byte;
				}
				if(i<0)i++;
				c=fp->byte;
				fp->byte = 1;
				_posit(fp);
				_clrchn();
				_chkout(fd+1);
				cp = tbuf;
				while(cp < tbuf + REALREC){
					if(errno = _chrout(*cp++))
						goto err1;
				}
				fp->byte = c;
				if(fp->byte > RECSIZE+1){
					if(++fp->reclo == 0)
						++fp->rechi;
					fp->byte = 2;
				}
			}
		}
	}
	else{
		while (i--) {
			if (errno = _chrout(*buf++)) {
	err1:
				errno |= 0x100;
				return(-1);
			}
			if (errno = _status) {
	err2:
				errno |= 0x200;
				return(-1);
			}
		}
	}
	_clrchn();
	if (errno = _error(fp->dev)) {
err3:
		errno |= 0x300;
		return(-1);
	}
	return(cnt);
}
