/*	Copyright (C) 1984 by Manx Software Systems, Inc.		*/

/*
 *	This routine is designed for use on an Apple // with a superserial
 *		interface card in slot 2. It assumes the memory mapping used
 *		by the Z80 processor cards.
 */

int Slot = 0x20;				/* slot 2	*/

#define	DATREG	0xe088
#define	STAREG	0xe089
#define	CMDREG	0xe08a
#define	CTLREG	0xe08b

static char *dp, *sp, *kp;

cinit(baud)
int baud;
{
	char *cp;

	cp = CMDREG + Slot;
	*cp++ = 0x0b;				/* transmit, recieve enabled		*/
	*cp = baud | 0x90;			/* 2 stop, 8 data, internal clock	*/
	dp = DATREG + Slot;
	*dp;
	sp = STAREG + Slot;
	kp = 0xe000;
}

cget()
{
	static int cnt;

	cnt = 10000;
	while (cnt-- >= 0) {
		if (*sp & 0x08)
			return(*dp&0xff);
	}
	if ((*kp&0xff) == 0x83) {
		*(kp+0x10);
		quit();
	}
	return(-1);
}

cput(c)
int c;
{
	while ((*sp&0x10) == 0)
		;
	*dp = c;
	return(c);
}

