 /* converts apple to IBM text files */
 /* or vice versa                    */
 /* defaults to apple to IBM         */
 /* by bill buckels 1990             */
 
 #include <stdio.h>
 #include <io.h>
 #include <stdlib.h>
 
 
 FILE *infile, *outfile;
 
 
 main(int argc, char **argv)
 {
     long target, count=0;
     char c;
 
     /* check command line args for legal args */
     /* if not print the usage and split       */
 
     switch(argc)
     {
         case 3:   c='I';break;
         case 4:   c= toupper(argv[3][0]);
     }
    printf("AppIBtxt.EXE(C) Copyright 1990 by Bill Buckels\n");
 
     switch(c)
     {
         /* if we are converting from apple to IBM then  */
         /* replace carriage returns with CR + line feed */
 
         case 'I' :  if((infile = fopen(argv[1],"rb"))==NULL)
                     {
                     perror(argv[1]);
                     break;
                     }
                     outfile = fopen(argv[2],"w");
                     target = filelength(fileno(infile));
 
                   printf("Infile     < %s\n",argv[1]);
                   printf("Outfile    < %s\n",argv[2]);
                   printf("           < Checksum > %ld",target);
                   while(count<target)
                   {
                     c=fgetc(infile);
                     if(c==13)fprintf(outfile,"\n");
                     else fputc(c,outfile);
                     count++;
                     if(!(count%10))printf("\r%ld",count);
                     }
                     fclose(infile);
                     fclose(outfile);
                     break;
 
         /* if we are going back to apple then remove the line feeds */
         case 'A' :
                   if((infile = fopen(argv[1],"rb"))==NULL)
                   {
                     perror(argv[1]);
                     break;
                   }
                   outfile = fopen(argv[2],"wb");
                   target = filelength(fileno(infile));
 
                   printf("Infile     < %s\n",argv[1]);
                   printf("Outfile    < %s\n",argv[2]);
                   printf("           < Checksum > %ld",target);
                   while(count<target)
                   {
                     c=fgetc(infile);
                     if(c!=10)fputc(c,outfile);
                     count++;
                     if(!(count%10))printf("\r%ld",count);
                     }
                     fclose(infile);
                     fclose(outfile);
                     break;
 
        default: printf(
             "Usage : \"APPIBTEXT [infile] [outfile] [FORMAT-optional]\"\n");
                 printf(
             "        OUTPUT FORMAT = \"A\" for APPLE or \"I\" for IBM\n");
                 printf(
             "        Default is IBM\n");
        }
 
     printf("\rDone!                                  \n");
     exit(0);
 
 }
 
